org.eclipse.oomph.util

## Class Pair<T1,T2>

- java.lang.Object
- - org.eclipse.oomph.util.Pair<T1,T2>

-     public class Pair<T1,T2>
      extends Object

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Pair()`
    `Pair(Pair<T1,T2> source)`
    `Pair(T1 element1, T2 element2)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Pair<T1,T2>` | `copy()`
    `static <T1,T2> Pair<T1,T2>` | `create()`
    `static <T1,T2> Pair<T1,T2>` | `create(T1 element1, T2 element2)`
    `boolean` | `equals(Object obj)`
    `T1` | `getElement1()`
    `T2` | `getElement2()`
    `int` | `hashCode()`
    `void` | `setElement1(T1 element1)`
    `void` | `setElement2(T2 element2)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Pair

          public Pair()

    - #### Pair

          public Pair(T1 element1,
              T2 element2)

    - #### Pair

          public Pair(Pair<T1,T2> source)

  - ### Method Detail

    - #### getElement1

          public final T1 getElement1()

    - #### setElement1

          public void setElement1(T1 element1)

    - #### getElement2

          public final T2 getElement2()

    - #### setElement2

          public void setElement2(T2 element2)

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### copy

          public Pair<T1,T2> copy()

    - #### create

          public static <T1,T2> Pair<T1,T2> create()

    - #### create

          public static <T1,T2> Pair<T1,T2> create(T1 element1,
                                   T2 element2)

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html